Retrieve a stored credential
Returns the information about custom storage credentials.
GET
/
custom_storage_credentials
/
{connection_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const customStorageCredential = await client.customStorageCredentials.retrieve('connection_id');
console.log(customStorageCredential.connection_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
custom_storage_credential = client.custom_storage_credentials.retrieve(
"connection_id",
)
print(custom_storage_credential.connection_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
customStorageCredential, err := client.CustomStorageCredentials.Get(context.TODO(), "connection_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customStorageCredential.ConnectionID)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.customstoragecredentials.CustomStorageCredentialRetrieveParams;
import com.telnyx.sdk.models.customstoragecredentials.CustomStorageCredentialRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CustomStorageCredentialRetrieveResponse customStorageCredential = client.customStorageCredentials().retrieve("connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
custom_storage_credential = telnyx.custom_storage_credentials.retrieve("connection_id")
puts(custom_storage_credential)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$customStorageCredential = $client->customStorageCredentials->retrieve(
'connection_id'
);
var_dump($customStorageCredential);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx custom-storage-credentials retrieve \
--api-key 'My API Key' \
--connection-id connection_idcurl --request GET \
--url https://api.telnyx.com/v2/custom_storage_credentials/{connection_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"backend": "gcs",
"configuration": {
"backend": "gcs",
"credentials": "OPAQUE_CREDENTIALS_TOKEN",
"bucket": "example-bucket"
}
},
"connection_id": "1234567890",
"record_type": "custom_storage_credentials"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies a Telnyx application (Call Control, TeXML) or Sip connection resource.
Response
A response containing a credentials resource.
Show child attributes
Show child attributes
Uniquely identifies a Telnyx application (Call Control, TeXML) or Sip connection resource.
Example:
"1234567890"
Identifies record type.
Available options:
custom_storage_credentials Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const customStorageCredential = await client.customStorageCredentials.retrieve('connection_id');
console.log(customStorageCredential.connection_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
custom_storage_credential = client.custom_storage_credentials.retrieve(
"connection_id",
)
print(custom_storage_credential.connection_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
customStorageCredential, err := client.CustomStorageCredentials.Get(context.TODO(), "connection_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customStorageCredential.ConnectionID)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.customstoragecredentials.CustomStorageCredentialRetrieveParams;
import com.telnyx.sdk.models.customstoragecredentials.CustomStorageCredentialRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
CustomStorageCredentialRetrieveResponse customStorageCredential = client.customStorageCredentials().retrieve("connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
custom_storage_credential = telnyx.custom_storage_credentials.retrieve("connection_id")
puts(custom_storage_credential)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$customStorageCredential = $client->customStorageCredentials->retrieve(
'connection_id'
);
var_dump($customStorageCredential);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx custom-storage-credentials retrieve \
--api-key 'My API Key' \
--connection-id connection_idcurl --request GET \
--url https://api.telnyx.com/v2/custom_storage_credentials/{connection_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"backend": "gcs",
"configuration": {
"backend": "gcs",
"credentials": "OPAQUE_CREDENTIALS_TOKEN",
"bucket": "example-bucket"
}
},
"connection_id": "1234567890",
"record_type": "custom_storage_credentials"
}